[D2] Support Ending for Windows XP and Vista

General Discussion
With an upcoming platform patch intended to streamline the process of launching and connecting to Diablo II, we will be ending support for Windows XP and Vista. Microsoft ceased mainstream support for these versions of Windows in 2009 and 2012, respectively. As we continue to support our legacy titles, we have found the vast majority of our audience has upgraded to newer versions as well.

Once our next patch update hits, Diablo II will no longer run on Windows XP or Vista. We encourage any players who are still using one of these older OSes to upgrade to a newer version.

Join the Conversation

Return to Forum